<?php 
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Simpods MVC
 * @since 1.0
 * @version 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<h2>Comments</h2>
<?php if ( have_comments() ) { ?>
	<ul class="comment-list">
		<?php
			wp_list_comments( array(
				'style'       => 'ul',
				'short_ping'  => true,
				'format'      => 'html5',
				'avatar_size' => 56,
			) );
		?>
	</ul>
	
	<nav class="comment-pagination">
		<?php paginate_comments_links( array(
			'prev_text' => '<i class="fa fa-chevron-left" aria-hidden="true"></i> ' . esc_html__( 'Previous', 'simpods-mvc' ),
			'next_text' => esc_html__( 'Next', 'simpods-mvc' ) . ' <i class="fa fa-chevron-right" aria-hidden="true"></i>'
		) ); ?>
	</nav>
<?php
}

if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) {
?>
	<p class="no-comments">Comments are closed</p>
<?php } ?>

<?php comment_form( array(
	'format'       => 'html5',
	'class_submit' => 'btn btn-primary'
) );
