<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
get_header(); ?>
<main id="main-container" class="container mgt50">
	<?php
	if ( have_posts() ) {

		while ( have_posts() ) {
			the_post();
			get_template_part( 'content', get_post_format() );
		}

	} else {
		?>
	<article id="post-0" class="post no-results not-found">
		<?php

			if ( current_user_can( 'edit_posts' ) ) {
				// Show a different message to a logged-in user who can add posts.
				?>

		<header class="entry-header">
			<h1 class="entry-title"><?php esc_html_e( 'No posts to display', 'simpods-mvc' );?></h1>
		</header>

		<div class="entry-content">
			<p>
			<?php
				/* translators: %1$s: <a> tag for new post page, %2$s closing </a> tag */
				printf( esc_html__( 'Ready to publish your first post? %1$sGet started here.%2$s', 'simpods-mvc' ), '<a href="' . esc_url( admin_url( 'post-new.php' ) . '">', '</a>' ) );
			?>
			</p>
		</div><!-- .entry-content -->

		<?php
		} else {
				// Show the default message to everyone else.
				?>

		<header class="entry-header">
			<h1 class="entry-title"><?php esc_html_e( 'Nothing Found', 'simpods-mvc' );?></h1>
		</header>

		<div class="entry-content">
			<p><?php esc_html_e( 'Apologies, but no results were found. Perhaps searching will help find a related post.', 'simpods-mvc' );?></p>
			<?php get_search_form();?>
		</div><!-- .entry-content -->

		<?php
		// end current_user_can() check
			}

			?>
	</article><!-- #post-0 -->
	<?php } ?>
<main>
<?php get_footer();
